Package com.android.server.os

# Interface LinphoneTombstoneProtos.RegisterOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.Register`, `LinphoneTombstoneProtos.Register.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.RegisterOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`string name = 1;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 1;`
`long`
`getU64()`
`uint64 u64 = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getName

String getName()
`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`string name = 1;`

Returns:
  The bytes for name.

### getU64

long getU64()
`uint64 u64 = 2;`

Returns:
  The u64.